package org.ow2.util.ee.metadata.car.impl.configurator;

import org.ow2.util.ee.metadata.car.api.ICarClassMetadata;
import org.ow2.util.ee.metadata.car.api.ICarFieldMetadata;
import org.ow2.util.ee.metadata.car.api.ICarMethodMetadata;
import org.ow2.util.ee.metadata.car.impl.CarMethodMetadata;
import org.ow2.util.ee.metadata.common.impl.configurator.CommonMethodMetadataConfigurator;
import org.ow2.util.scan.api.metadata.structures.JMethod;

/**
 * WarMethodMetadataConfigurator.
 * @author Gael Lalire
 */
public class CarMethodMetadataConfigurator extends
        CommonMethodMetadataConfigurator<ICarClassMetadata, ICarMethodMetadata, ICarFieldMetadata> {

    /**
     * Constructor.
     * @param jMethod signature
     * @param classMetadata parent
     */
    public CarMethodMetadataConfigurator(final JMethod jMethod, final ICarClassMetadata classMetadata) {
        super(new CarMethodMetadata(jMethod, classMetadata));
        registerAnnotationVisitor();
    }


}
